Initiate a detection alert migration

Base URL
https://{kibana_url}
  • POST /api/detection_engine/signals/migration
  • POST /s/{space_id}/api/detection_engine/signals/migration
Auth Deprecated

Initiate a migration of detection alerts. Migrations are initiated per index. While the process is neither destructive nor interferes with existing data, it may be resource-intensive. As such, it is recommended that you plan your migrations accordingly.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

Alerts migration parameters

index string[] · format: nonempty · min items: 1 required
requests_per_second integer · min: 1
size integer · min: 1
slices integer · min: 1

Responses

Successful response

application/json
indices union oneOf[] required
One of:
index string required
migration_id string required
migration_index string required

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}